<?php

namespace App\Http\Controllers\Admin\Structure;

use App\Filter\FilterClass\Terms\Q;
use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\TermsInvoiceRequest;
use App\Models\Term;
use App\Traits\ApiResponser;
use App\Traits\pipeline;
use Illuminate\Http\Request;
use PHPUnit\Framework\MockObject\Api;

class TermController extends Controller
{
    use ApiResponser,pipeline;
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $terms= $this->pipelineWithoutPaginate(Term::query()->select('id','name'),[Q::class]);
        return (isset($terms))?$this->onSuccess($terms):$this->onSuccess([]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(TermsInvoiceRequest $request)
    {
      $term=  Term::create(['name'=>$request->name]);
        return $this->onSuccess($term);

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
//        return 1;
        $term=  Term::find($id);
        if ($term){
            $terms=   $term->update(['name'=>$request->name]);
            return ($term)?$this->onSuccess(Term::find($id)):$this->onFaile('terms not found');
        }else{
            return $this->onFaile('terms not found');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $term=  Term::find($id);
        return ($term)?$this->onSuccess($term->delete()):$this->onFaile('terms not found');
    }
}
