<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AddMemberToProjectRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'project_owner.id' => ['min:1','exists:owners,id'],
            'project_owner.text' => ['min:1','string'],
            'project_owner.rate' => ['min:1','digits_between:1,5'],
            'project_general_contractor.id' => ['min:1','exists:general_contractors,id'],
            'project_general_contractor.text' => ['min:1','string'],
            'project_general_contractor.rate' => ['min:1','digits_between:1,5'],
            'image'=>['nullable','array'],
            'image.*.name'=>['max:255'],
        ];
    }
}
