<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CreateClaimRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'project_id'=>['exists:projects,id'],
            'id'=>['required','numeric'],
            'type'=>['required','in:user,company'],
            'text' => ['required', 'string', 'min:3', 'max:2000'],
            'image' => [ 'image','mimes:jpeg,png,jpg,gif,svg'],
        ];
    }
}
