<?php

namespace App\Http\Resources\Admin;

use App\Models\Style;
use Illuminate\Http\Resources\Json\JsonResource;

class ProjectsResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $style=Style::query()->where('id',$this->style)->first()->title;
        return [
            'id'=>$this->id,
            'images'=>$this->images,
            'project_name'=>$this->name,
            'owner_name'=>$this->owner->first_name." ".$this->owner->last_name,
            'owner_email'=>$this->owner->email !== null ? $this->owner->email : null,
            'type'=>$this->type,
            'style'=>$style,
            'from'=>$this->start_date,
            'to'=>$this->end_date,
            'address'=>$this->address->main_text,
            'about_project'=>$this->about_project,


        ];
    }
}
