<?php

namespace App\Http\Resources;

use App\Models\Comment;
use App\Models\GeneralContractor;
use App\Models\Owner;
use App\Models\ParticipantsProject;
use App\Models\SpecialComment;
use Illuminate\Http\Resources\Json\JsonResource;

class GetAddMemberResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        $general=  ParticipantsProject::query()->with('participantsProject')->where('project_id',$this->id)->where('role',ParticipantsProject::GENERAL_CONTRACTOR_ROLE)->first();
        $general_self=  ParticipantsProject::query()->with('participantsProject')->where('participants_project_id',$this->id_self)->where('participants_project_type',$this->type_self)->where('project_id',$this->id)->first();
        $is_admin=  ParticipantsProject::query()->with('participantsProject')->where('participants_project_id',$this->id_self)->where('participants_project_type',$this->type_self)->where('project_id',$this->id)->where('role',ParticipantsProject::CREATORE_ROLE)->first();
        $commentsGenral=  SpecialComment::query()->where('client_id',$this->id_self)->where('client_type',$this->type_self)->where('project_id',$this->id)->where('profile_type',GeneralContractor::class)->select('id','text','rate')->first();
        $commentsOwner=  SpecialComment::query()->where('client_id',$this->id_self)->where('client_type',$this->type_self)->where('project_id',$this->id)->where('profile_type',Owner::class)->select('id','text','rate')->first();
//        $comments=Comment::
//        return parent::toArray($request);
//        return $general_self;
        return [
            'id'=>$this->id,
            'name'=>$this->name,
            'reference_number'=>$this->reference_number,
            'type'=>$this->type,
            'style'=>['id'=>(int)$this->style??null,'name'=>$this->styles->title??null],

            'condition'=>$this->condition,
            'priority'=>$this->priority,
            'about_project'=>$this->about_project,
            'projectable_type'=>$this->projectable_type,
            'projectable_id'=>$this->projectable_id,
            'start_date'=>isset($this->start_date)?($this->start_date)->format('Y/m/d H:i A'):"",
            'end_date'=>isset($this->end_date)?($this->end_date)->format('Y/m/d H:i A'):"",
            'my_start_date'=>isset($general_self->start_date)?($general_self->start_date)->format('Y/m/d H:i A'):"",
            'my_end_date'=>isset($general_self->end_date)?($general_self->start_date)->format('Y/m/d H:i A'):"",
            'images'=>ImageProjectResource::collection($this->images)??"",
            'is_admin'=>isset($is_admin)??"",
            'address'=>[
                'id'=>$this->address->id??"",
                'longitude'=>$this->address->longitude??null,
                'latitude'=>($this->address->latitude)??null,
                'country'=>$this->address->country??"",
                'state'=>$this->address->state??"",
                'city'=>$this->address->city??"",
                'zip_code'=>$this->address->zip_code??null,
                'main_text'=>$this->address->main_text??"",
                'secondary_text'=>$this->address->secondary_text??"",
            ],

            'owner'=>[
                'id'=>$this->owner->id??null,
                'first_name'=>$this->owner->first_name??null,
                'last_name'=>$this->owner->last_name??null,
                'email'=>$this->owner->email??"",
                'state'=>$this->owner->state??"",
                'city'=>$this->owner->city??"",
                'zip_code'=>$this->address->zip_code??null,
                'main_text'=>$this->address->main_text??"",
                'secondary_text'=>$this->address->secondary_text??"",
                'phone_number'=>$this->owner->phone_number??"",
            ],
            'general_contractor'=>[
                'id'=>$this->generalContractor->id??null,
                'name'=>$this->generalContractor->name??"",
                'last_name'=>$this->generalContractor->last_name??"",
                'phone_number'=>$this->generalContractor->phone_number??"",
                'email'=>$this->generalContractor->email??"",
                'image'=>$this->generalContractor->image??"",
                'backend_name'=>isset($this->image)?((trim(substr($this->image, strrpos($this->image, 'storage/') + 15)))):""??null
            ],
            'general_contractor_register'=>[
                'id'=>$general->participantsProject->id??null,
                'phone_number'=>$general->participantsProject->phone_number??null,
                'last_name'=>$general->participantsProject->last_name??"",
                'email'=>$general->participantsProject->email??"",
                'name'=>$general->participantsProject->name??"",
                'image'=>$general->participantsProject->image??"",
                'role_client'=>$general->participantsProject->role_client??"",
                'backend_name'=>isset($general->participantsProject)?(trim(substr($general->participantsProject->image, strrpos($general->participantsProject->image, 'storage/') + 15))):""??null
            ],
            'general_contractor_comment'=>$commentsGenral??"",
            'owner_comment'=>$commentsOwner??"",

        ];
    }
}
