<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SpecialComment extends Model
{
    use HasFactory;
    protected $guarded=['id'];
    const PENDING= 'pending';
    const CONFIRMED= 'confirmed';
    const REJECT= 'reject';

    //comment by user and company
    public function client()
    {
        return $this->morphTo('client');
    }
    public function owner()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
    //comment for user & company & project
    public function profile()
    {
        return $this->morphTo('profile');
    }
    public function profileComment()
    {
        return $this->belongsTo(ParticipantsProject::class,'project_id','project_id');
    }
    public function project()
    {
        return $this->belongsTo(Project::class,'project_id','id');
    }
}
